Bug 1005347 - [abrt] metromap-0.1.3-5.fc20: ReadMap.py:102:GetMapName:TypeError: coercing to Unicode: need string or buffer, list found
[abrt] metromap-0.1.3-5.fc20: ReadMap.py:102:GetMapName:TypeError: coercing t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: metromap (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:f041b18592b9fb859f1325be894...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 13:13 EDT by Christopher Meng
Modified: 2013-09-22 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: metromap-0.1.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (596 bytes, text/plain)
2013-09-06 13:13 EDT, Christopher Meng
no flags Details
File: environ (3.81 KB, text/plain)
2013-09-06 13:13 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-09-06 13:13:12 EDT
Version-Release number of selected component:
metromap-0.1.3-5.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/metromap
executable:     /usr/bin/metromap
kernel:         3.11.0-3.fc21.i686+PAE
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
ReadMap.py:102:GetMapName:TypeError: coercing to Unicode: need string or buffer, list found

Traceback (most recent call last):
  File "/usr/bin/metromap", line 368, in <module>
    name = GetMapName(f)
  File "/usr/share/metromap/modules/ReadMap.py", line 102, in GetMapName
    return unicode(name, detect_encoding(name))
TypeError: coercing to Unicode: need string or buffer, list found

Local variables in innermost frame:
name: ['Berlin']
lsec: ['options']
s: 'Options'
sec: ['Options']
ini: <StringIO.StringIO instance at 0x8fdcdcc>
cp: <ConfigParser.RawConfigParser instance at 0x8fdca2c>

Potential duplicate: bug 859683
Comment 1 Christopher Meng 2013-09-06 13:13:15 EDT
Created attachment 794903 [details]
File: backtrace
Comment 2 Christopher Meng 2013-09-06 13:13:20 EDT
Created attachment 794905 [details]
File: environ
Comment 3 Fedora Update System 2013-09-07 05:06:02 EDT
metromap-0.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/metromap-0.1.4-1.fc19
Comment 4 Fedora Update System 2013-09-07 05:06:10 EDT
metromap-0.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/metromap-0.1.4-1.fc18
Comment 5 Fedora Update System 2013-09-07 05:06:19 EDT
metromap-0.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/metromap-0.1.4-1.fc20
Comment 6 Fedora Update System 2013-09-07 13:04:45 EDT
Package metromap-0.1.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing metromap-0.1.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16045/metromap-0.1.4-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-22 00:24:15 EDT
metromap-0.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-22 00:26:31 EDT
metromap-0.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-22 20:02:07 EDT
metromap-0.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.